NavigableMapConfig (Grails 6.0.0)

Package: org.grails.config

## [Java] Class NavigableMapConfig

- org.grails.config.NavigableMapConfig

- All Implemented Interfaces and Traits:
    Config

      @java.lang.Deprecated
      public abstract class NavigableMapConfig
      extends java.lang.Object
      implements Config

  A Config implementation that operates against a NavigableMap

  deprecated:
    This class behavior is related to NavigableMap which will be removed in future. Use Config instead.
  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `NavigableMapConfig.ClassConversionException` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static org.slf4j.Logger` | `LOG` |
    `protected java.lang.ClassLoader` | `classLoader` |
    `protected NavigableMap` | `configMap` |
    `protected org.springframework.core.convert.support.ConfigurableConversionService` | `conversionService` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `asType(java.lang.Class c)`
    `` | `private java.lang.String` | `checkPropertyName(java.lang.String name)`
    `` | `public void` | `clear()`
    `` | `public boolean` | `containsKey(java.lang.Object key)`
    `` | `private boolean` | `containsKey(java.lang.String name)`
    `` | `public boolean` | `containsProperty(java.lang.String key)`
    `` | `public boolean` | `containsValue(java.lang.Object value)`
    `` | `private groovy.util.ConfigObject` | `convertPropsToMap(groovy.util.ConfigObject config)`
    `` | `private java.util.Map<java.lang.Object, java.lang.Object>` | `convertToMap(NavigableMap from, java.util.IdentityHashMap<NavigableMap, java.util.Map<java.lang.Object, java.lang.Object>> cache)`
    `` | `private java.util.List<java.lang.String>` | `convertTokensIntoArrayList(java.util.StringTokenizer st)`
    `<T>` | `private T` | `convertValueIfNecessary(java.lang.Object originalValue, java.lang.Class<T> targetType, T defaultValue)`
    `` | `public java.util.Set<Entry<java.lang.String, java.lang.Object>>` | `entrySet()`
    `` | `public boolean` | `equals(java.lang.Object obj)`
    `` | `private java.lang.Object` | `findInSystemEnvironment(java.lang.String key)`
    `` | `public java.util.Map<java.lang.String, java.lang.Object>` | `flatten()`
    `` | `public java.lang.Object` | `get(java.lang.Object key)`
    `` | `public java.lang.Object` | `getAt(java.lang.Object key)`
    `` | `public java.lang.String` | `getProperty(java.lang.String key)`
    `` | `public java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)`
    `<T>` | `public T` | `getProperty(java.lang.String key, java.lang.Class<T> targetType)`
    `<T>` | `public T` | `getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue, java.util.List<T> allowedValues)`
    `<T>` | `public T` | `getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue)`
    `` | `public java.lang.String` | `getRequiredProperty(java.lang.String key)`
    `<T>` | `public T` | `getRequiredProperty(java.lang.String key, java.lang.Class<T> targetType)`
    `` | `private java.lang.Object` | `getValueWithDotNotatedKeySupport(NavigableMap configMap, java.lang.String key)` Resolves dot notated getProperty calls on a config object so that injected environmental variables are properly resolved the same as Groovy's dot notation.
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isEmpty()`
    `` | `public java.util.Iterator<Entry<java.lang.String, java.lang.Object>>` | `iterator()`
    `` | `public java.util.Set<java.lang.String>` | `keySet()`
    `` | `public Config` | `merge(java.util.Map<java.lang.String, java.lang.Object> toMerge)`
    `` | `protected java.lang.Object` | `mergeMapEntry(NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object newValue)`
    `` | `public java.lang.Object` | `navigate(java.lang.String path)`
    `` | `public java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `` | `public void` | `putAll(java.util.Map<? extends java.lang.String, ?> m)`
    `` | `public java.lang.Object` | `remove(java.lang.Object key)`
    `` | `private java.lang.String` | `resolvePropertyName(java.lang.String name)`
    `` | `public void` | `setAt(java.lang.Object key, java.lang.Object value)`
    `` | `public int` | `size()`
    `` | `private java.lang.Object` | `toEnumValue(java.lang.Class targetType, java.lang.String stringValue)`
    `` | `public java.util.Properties` | `toProperties()`
    `` | `public java.lang.String` | `toString()`
    `` | `public java.util.Collection<java.lang.Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected static final org.slf4j.Logger LOG

    - #### protected java.lang.ClassLoader classLoader

    - #### protected NavigableMap configMap

    - #### protected org.springframework.core.convert.support.ConfigurableConversionService conversionService

  - ### Method Detail

    - #### public java.lang.Object asType(java.lang.Class c)

    - #### private java.lang.String checkPropertyName(java.lang.String name)

    - #### @java.lang.Override public void clear()

    - #### @java.lang.Override public boolean containsKey(java.lang.Object key)

    - #### private boolean containsKey(java.lang.String name)

    - #### @java.lang.Override public boolean containsProperty(java.lang.String key)

    - #### @java.lang.Override public boolean containsValue(java.lang.Object value)

    - #### private groovy.util.ConfigObject convertPropsToMap(groovy.util.ConfigObject config)

    - #### private java.util.Map<java.lang.Object, java.lang.Object> convertToMap(NavigableMap from, java.util.IdentityHashMap<NavigableMap, java.util.Map<java.lang.Object, java.lang.Object>> cache)

    - #### private java.util.List<java.lang.String> convertTokensIntoArrayList(java.util.StringTokenizer st)

    - #### <T> private T convertValueIfNecessary(java.lang.Object originalValue, java.lang.Class<T> targetType, T defaultValue)

    - #### @java.lang.Override public java.util.Set<Entry<java.lang.String, java.lang.Object>> entrySet()

    - #### @java.lang.Override public boolean equals(java.lang.Object obj)

    - #### private java.lang.Object findInSystemEnvironment(java.lang.String key)

    - #### @java.lang.Override @java.lang.Deprecated public java.util.Map<java.lang.String, java.lang.Object> flatten()

    - #### @java.lang.Override public java.lang.Object get(java.lang.Object key)

    - #### @java.lang.Override public java.lang.Object getAt(java.lang.Object key)

    - #### @java.lang.Override public java.lang.String getProperty(java.lang.String key)

    - #### @java.lang.Override public java.lang.String getProperty(java.lang.String key, java.lang.String defaultValue)

    - #### <T> @java.lang.Override public T getProperty(java.lang.String key, java.lang.Class<T> targetType)

    - #### <T> @java.lang.Override public T getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue, java.util.List<T> allowedValues)

    - #### <T> @java.lang.Override public T getProperty(java.lang.String key, java.lang.Class<T> targetType, T defaultValue)

    - #### @java.lang.Override public java.lang.String getRequiredProperty(java.lang.String key)

    - #### <T> @java.lang.Override public T getRequiredProperty(java.lang.String key, java.lang.Class<T> targetType)

    - #### private java.lang.Object getValueWithDotNotatedKeySupport(NavigableMap configMap, java.lang.String key)

      Resolves dot notated getProperty calls on a config object so that injected environmental variables are properly resolved the same as Groovy's dot notation.

      Parameters:
        `configMap` - NavigableMap
        `key` - identifies NavigableMap value to retrieve
      Returns:
        the property value associated with the key

    - #### @java.lang.Override public int hashCode()

    - #### @java.lang.Override public boolean isEmpty()

    - #### @java.lang.Override public java.util.Iterator<Entry<java.lang.String, java.lang.Object>> iterator()

    - #### @java.lang.Override public java.util.Set<java.lang.String> keySet()

    - #### @java.lang.Override public Config merge(java.util.Map<java.lang.String, java.lang.Object> toMerge)

    - #### @java.lang.Override protected java.lang.Object mergeMapEntry(NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object newValue)

    - #### @java.lang.Override public java.lang.Object navigate(java.lang.String path)

    - #### @java.lang.Override public java.lang.Object put(java.lang.String key, java.lang.Object value)

    - #### @java.lang.Override public void putAll(java.util.Map<? extends java.lang.String, ?> m)

    - #### @java.lang.Override public java.lang.Object remove(java.lang.Object key)

    - #### private java.lang.String resolvePropertyName(java.lang.String name)

    - #### @java.lang.Override public void setAt(java.lang.Object key, java.lang.Object value)

    - #### @java.lang.Override public int size()

    - #### private java.lang.Object toEnumValue(java.lang.Class targetType, java.lang.String stringValue)

    - #### @java.lang.Override public java.util.Properties toProperties()

    - #### @java.lang.Override public java.lang.String toString()

    - #### @java.lang.Override public java.util.Collection<java.lang.Object> values()